;****************************************************************************
;*
;*  Copyright (C) 2003 Dallas Semiconductor Corporation. 
;*  All rights Reserved. Printed in U.S.A.
;*  This software is protected by copyright laws of
;*  the United States and of foreign countries.
;*  This material may also be protected by patent laws of the United States 
;*  and of foreign countries.
;*  This software is furnished under a license agreement and/or a
;*  nondisclosure agreement and may only be used or copied in accordance
;*  with the terms of those agreements.
;*  The mere transfer of this software does not imply any licenses
;*  of trade secrets, proprietary technology, copyrights, patents,
;*  trademarks, maskwork rights, or any other form of intellectual
;*  property whatsoever. Dallas Semiconductor retains all ownership rights.
;*
;*     Module Name: DS80C400 
;*
;*     Description: SFR Definitions
;*
;*        Filename: dallas.inc
;*
;****************************************************************************

; The following are built into macro/a390 but need to be declared for Keil AX51.
SP      EQU 081H
DPL     EQU 082H
DPH     EQU 083H
PCON    EQU 087H
TCON    EQU 088H
TMOD    EQU 089H
TL0     EQU 08AH
TL1     EQU 08BH
TH0     EQU 08CH
TH1     EQU 08DH
P1      EQU 090H
SCON0   EQU 098H
P2      EQU 0A0H
IE      EQU 0A8H
P3      EQU 0B0H
IP      EQU 0B8H
SCON1   EQU 0C0H
T2CON   EQU 0C8H
PSW     EQU 0D0H
MCON2   EQU 0D7H
WDCON   EQU 0D8H
SADDR2  EQU 0D9H
BPA1    EQU 0DAH
BPA2    EQU 0DBH
BPA3    EQU 0DCH
ACC     EQU 0E0H
EIE     EQU 0E8H
B       EQU 0F0H
SADEN2  EQU 0F1H
STATUS1 EQU 0F7H
